IOS58 Installer Issue

Discussion in 'Wii - Emulation and Homebrew' started by Windaga, Jul 3, 2011.

  1. Windaga
    OP

    Windaga GBAtemp Advanced Fan

    Member
    939
    72
    Sep 12, 2009
    United States
    New England
    I'm a bit stuck. I'm trying to install forwarders for several channels, and it says that I need to install IOS58. So, I went an downloaded Tantrics IOS58 Installer from Wiibrew, but it says that the Initalisation (spelled like that, too) failed after downloading it. Am I doing something wrong? I know I need to reinstall the HBC after, but I can't even get that far.

    I downloaded the IOS58 installer from WiiBrew, and I already downloaded the Hackmii installer to reinstall the HBC. Can anyone help me out? I searched through the forum, but I couldn't find anything either.
     
  2. Ryoku83

    Ryoku83 GBAtemp Fan

    Member
    324
    3
    Apr 14, 2011
    Canada
    You may be able to download ios58 thru modmii and install it with MMM. Its under the list of ios' you can download but i've never tried it myself.
     
  3. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,749
    9,033
    Oct 27, 2002
    France
    Engine room, learning
    "after downloading it" is referring to downloading the IOS58 files from Nintendo servers?
    The files are usually stored on the SD Card before being installed on the NAND.
    Are you using SD card or USB to load homebrew from HBC?

    So after downloading all the files you have an error, or does the error appears when launching the installer?


    If it really doesn't work with Tantric installer, you can alway use NUSD or Modmii to create the IOS58 wad and install it with a wad manager.
    You can also use dop-mii to install ISO58 from the Wii (like Tantric installer).


    Reinstalling the homebrew channel is not necessary to launch the forwarders, as the forwarders are launch from the system menu and doesn't invovled the HBC.
    But you can reinstall it as it's the recommended IOS for HBC.
     
  4. Windaga
    OP

    Windaga GBAtemp Advanced Fan

    Member
    939
    72
    Sep 12, 2009
    United States
    New England
    I'm not too sure where the installer downloads it from, but the download completes (the bar fills up and it changes to "Installing" but then it says it failed.

    I'm using an SD card to load homebrew.

    I do want to reinstall it, though, because I have other homebrew on the card that I want to load.
     
  5. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,749
    9,033
    Oct 27, 2002
    France
    Engine room, learning
    Verify that your SD card is formated in FAT32 (and not only "FAT" or FAT16).
    I know someone who had a problem because of the FAT format when using a wad installer, once formated to FAT32 it worked fine.
    I'm on FAT16 and never had any problem.


    If it's already in FAT32, try formating it again or defragmenting it.
    Else use ModMii to create the IOS58 wad file and install it using your favorite wad manager.
     
  6. Windaga
    OP

    Windaga GBAtemp Advanced Fan

    Member
    939
    72
    Sep 12, 2009
    United States
    New England
    Thanks a lot [​IMG]. I didn't know about ModMii - this thing is awesome! I did end up getting it to work after all. I just finished installing all of my forwarding channels, and you're right - I really don't need the HBC. But I think I'll keep it for the time being - it's easier to check out a program before installing it's own dedicated channel.

    Thanks again.
     
  7. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,974
    3,761
    Apr 2, 2011
    United States
    The Twilight Zone
    Definitely keep the HBC. It is a huge part of brick protection, as well as the heart and soul of homebrew. Apps like Priiloader and BootMii link to it directly, and the majority of apps don't have forwarder channels. Forwarder channels are relatively small, but too many of them and you will run out of space.
     
  8. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,749
    9,033
    Oct 27, 2002
    France
    Engine room, learning
    Yes, I didn't say that you don't need HBC, I said that "reinstalling HBC" to use the IOS58 was not needed.
    HBC is working fine with IOS36 or 61 too.

    The IOS58 is used to improve USB access and use the official Nintendo IOS instead of a custom patched IOS with the trucha bug.
    It's only recommended to reinstall it to use IOS58.


    I'm glad you could install IOS58 with the help of modmii.